package com.bocloud.cmp.model.cisco;

import java.util.List;

public class ContractModel {
    private String name;
    private String alias;
    private String dn;
    private String status;
    private String uid;
    private String remark;
    private String scope;
    private String prio;
    private String targetDscp;
    private String tenantName;
    private List<SubjectModel> subjects;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the alias
     */
    public String getAlias() {
        return alias;
    }

    /**
     * @param alias the alias to set
     */
    public void setAlias(String alias) {
        this.alias = alias;
    }

    /**
     * @return the dn
     */
    public String getDn() {
        return dn;
    }

    /**
     * @param dn the dn to set
     */
    public void setDn(String dn) {
        this.dn = dn;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the scope
     */
    public String getScope() {
        return scope;
    }

    /**
     * @param scope the scope to set
     */
    public void setScope(String scope) {
        this.scope = scope;
    }

    /**
     * @return the prio
     */
    public String getPrio() {
        return prio;
    }

    /**
     * @param prio the prio to set
     */
    public void setPrio(String prio) {
        this.prio = prio;
    }

    /**
     * @return the targetDscp
     */
    public String getTargetDscp() {
        return targetDscp;
    }

    /**
     * @param targetDscp the targetDscp to set
     */
    public void setTargetDscp(String targetDscp) {
        this.targetDscp = targetDscp;
    }

    /**
     * @return the tenantName
     */
    public String getTenantName() {
        return tenantName;
    }

    /**
     * @param tenantName the tenantName to set
     */
    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    /**
     * @return the subjects
     */
    public List<SubjectModel> getSubjects() {
        return subjects;
    }

    /**
     * @param subjects the subjects to set
     */
    public void setSubjects(List<SubjectModel> subjects) {
        this.subjects = subjects;
    }
}
